#88204 Report by node sphinx covering 1930 tests from 53 modules resulted into 4 errors

Report

ObsPy Version
1.0.3.post0+1849.gd262e5d41...
Continuous Integration
-
GitHub Pull Request
-
Report File
XML Document
Total Runtime
1255.9 sec
Report Date/Time
2017-10-12 18:11:41

System / Python

Architecture
32bit
Machine
i686
Node
sphinx
Processor
i686
Python Compiler
GCC 4.4.7 20120313 (Red Hat 4.4.7-1)
Python Implementation
CPython
Python Version
3.4.4
Release
2.6.32-042stab124.2
System
Linux
Version
#1 SMP Fri Sep 1 20:42:18 MSK 2017

Dependencies

cartopy
---
decorator
4.0.6
flake8
2.5.1
future
0.15.2
geographiclib
---
lxml.etree
3.3.5
m2crypto
---
matplotlib
2.0.2
mock
1.3.0
mpl_toolkits.basemap
1.0.7
numpy
1.10.4
osgeo.gdal
---
pep8-naming
---
pyflakes
1.0.0
pyimgur
---
pyproj
1.9.4
requests
2.9.1
scipy
0.17.0
setuptools
19.6.2
sqlalchemy
1.0.11

Modules (53)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink - -
obspy.clients.earthworm - -
obspy.clients.fdsn 1 1
obspy.clients.filesystem - -
obspy.clients.iris - -
obspy.clients.neic - -
obspy.clients.nrl - -
obspy.clients.seedlink - -
obspy.clients.seishub 3 2 3 4
obspy.clients.syngine - -
obspy.core - -
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 4 4

Tracebacks (4)

Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/tests/test_client.py", line 1069, in test_redirection
endtime=UTCDateTime("2010-02-27T06:30:01.000"))
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/client.py", line 699, in get_waveforms
raise ValueError(msg)
ValueError: The current client does not have a dataselect service.
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 2187, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.seishub.client.Client
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 87, in Client
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 110, in obspy.clients.seishub.client.Client
Failed example:
st = client.waveform.get_waveforms("BW", "RTBE", "", "EHZ", t, t + 20)
Exception raised:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 1183, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 1137, in request
self._send_request(method, url, body, headers)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 1182, in _send_request
self.endheaders(body)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 1133, in endheaders
self._send_output(message_body)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 963, in _send_output
self.send(msg)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 898, in send
self.connect()
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 871, in connect
self.timeout, self.source_address)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/socket.py", line 516, in create_connection
raise err
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/socket.py", line 507, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client.Client[3]>", line 1, in <module>
st = client.waveform.get_waveforms("BW", "RTBE", "", "EHZ", t, t + 20)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 504, in get_waveforms
data = self.client._fetch(url, **kwargs)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 161, in urlopen
return opener.open(url, data, timeout)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 464, in open
response = self._open(req, data)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 482, in _open
'_open', req)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 442, in _call_chain
result = func(*args)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 1211, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 1185, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 111, in obspy.clients.seishub.client.Client
Failed example:
print(st) # doctest: +ELLIPSIS
Exception raised:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client.Client[4]>", line 1, in <module>
print(st) # doctest: +ELLIPSIS
NameError: name 'st' is not defined
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 2187, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.seishub.__init__
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/__init__.py", line 1, in __init__
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/__init__.py", line 22, in obspy.clients.seishub.__init__
Failed example:
st = client.waveform.get_waveforms("BW", "MANZ", "", "EH*", t, t+20)
Exception raised:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 1183, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 1137, in request
self._send_request(method, url, body, headers)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 1182, in _send_request
self.endheaders(body)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 1133, in endheaders
self._send_output(message_body)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 963, in _send_output
self.send(msg)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 898, in send
self.connect()
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 871, in connect
self.timeout, self.source_address)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/socket.py", line 516, in create_connection
raise err
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/socket.py", line 507, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[4]>", line 1, in <module>
st = client.waveform.get_waveforms("BW", "MANZ", "", "EH*", t, t+20)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 504, in get_waveforms
data = self.client._fetch(url, **kwargs)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 161, in urlopen
return opener.open(url, data, timeout)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 464, in open
response = self._open(req, data)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 482, in _open
'_open', req)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 442, in _call_chain
result = func(*args)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 1211, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 1185, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/__init__.py", line 23, in obspy.clients.seishub.__init__
Failed example:
st.sort() # doctest: +ELLIPSIS
Exception raised:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[5]>", line 1, in <module>
st.sort() # doctest: +ELLIPSIS
NameError: name 'st' is not defined
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/__init__.py", line 25, in obspy.clients.seishub.__init__
Failed example:
print(st) # doctest: +ELLIPSIS
Exception raised:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[6]>", line 1, in <module>
print(st) # doctest: +ELLIPSIS
NameError: name 'st' is not defined
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/__init__.py", line 37, in obspy.clients.seishub.__init__
Failed example:
sta_ids = client.waveform.get_station_ids(network='BW')
Exception raised:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 1183, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 1137, in request
self._send_request(method, url, body, headers)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 1182, in _send_request
self.endheaders(body)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 1133, in endheaders
self._send_output(message_body)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 963, in _send_output
self.send(msg)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 898, in send
self.connect()
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 871, in connect
self.timeout, self.source_address)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/socket.py", line 516, in create_connection
raise err
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/socket.py", line 507, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[8]>", line 1, in <module>
sta_ids = client.waveform.get_station_ids(network='BW')
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 376, in get_station_ids
root = self.client._objectify(url, **kwargs)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 255, in _objectify
doc = self._fetch(url, *args, **kwargs)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 161, in urlopen
return opener.open(url, data, timeout)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 464, in open
response = self._open(req, data)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 482, in _open
'_open', req)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 442, in _call_chain
result = func(*args)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 1211, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 1185, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/__init__.py", line 41, in obspy.clients.seishub.__init__
Failed example:
cha_ids = client.waveform.get_channel_ids(network='BW', station='MANZ')
Exception raised:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 1183, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 1137, in request
self._send_request(method, url, body, headers)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 1182, in _send_request
self.endheaders(body)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 1133, in endheaders
self._send_output(message_body)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 963, in _send_output
self.send(msg)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 898, in send
self.connect()
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 871, in connect
self.timeout, self.source_address)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/socket.py", line 516, in create_connection
raise err
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/socket.py", line 507, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[10]>", line 1, in <module>
cha_ids = client.waveform.get_channel_ids(network='BW', station='MANZ')
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 417, in get_channel_ids
root = self.client._objectify(url, **kwargs)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 255, in _objectify
doc = self._fetch(url, *args, **kwargs)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 161, in urlopen
return opener.open(url, data, timeout)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 464, in open
response = self._open(req, data)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 482, in _open
'_open', req)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 442, in _call_chain
result = func(*args)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 1211, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 1185, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/__init__.py", line 42, in obspy.clients.seishub.__init__
Failed example:
sorted(cha_ids) # doctest: +NORMALIZE_WHITESPACE
Exception raised:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[11]>", line 1, in <module>
sorted(cha_ids) # doctest: +NORMALIZE_WHITESPACE
NameError: name 'cha_ids' is not defined
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/__init__.py", line 46, in obspy.clients.seishub.__init__
Failed example:
paz = client.station.get_paz('BW.MANZ..EHZ', UTCDateTime('20090808'))
Exception raised:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 1183, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 1137, in request
self._send_request(method, url, body, headers)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 1182, in _send_request
self.endheaders(body)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 1133, in endheaders
self._send_output(message_body)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 963, in _send_output
self.send(msg)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 898, in send
self.connect()
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 871, in connect
self.timeout, self.source_address)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/socket.py", line 516, in create_connection
raise err
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/socket.py", line 507, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[12]>", line 1, in <module>
paz = client.station.get_paz('BW.MANZ..EHZ', UTCDateTime('20090808'))
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 745, in get_paz
datetime=datetime)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 641, in get_list
root = self.client._objectify(url, **kwargs)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 255, in _objectify
doc = self._fetch(url, *args, **kwargs)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 161, in urlopen
return opener.open(url, data, timeout)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 464, in open
response = self._open(req, data)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 482, in _open
'_open', req)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 442, in _call_chain
result = func(*args)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 1211, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 1185, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/__init__.py", line 47, in obspy.clients.seishub.__init__
Failed example:
paz = paz.items()
Exception raised:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[13]>", line 1, in <module>
paz = paz.items()
NameError: name 'paz' is not defined
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 2187, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.seishub.client._StationMapperClient.get_paz
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 704, in get_paz
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 721, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
paz = c.station.get_paz('BW.MANZ..EHZ', '20090707')
Exception raised:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 1183, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 1137, in request
self._send_request(method, url, body, headers)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 1182, in _send_request
self.endheaders(body)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 1133, in endheaders
self._send_output(message_body)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 963, in _send_output
self.send(msg)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 898, in send
self.connect()
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 871, in connect
self.timeout, self.source_address)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/socket.py", line 516, in create_connection
raise err
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/socket.py", line 507, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[1]>", line 1, in <module>
paz = c.station.get_paz('BW.MANZ..EHZ', '20090707')
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 745, in get_paz
datetime=datetime)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 641, in get_list
root = self.client._objectify(url, **kwargs)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 255, in _objectify
doc = self._fetch(url, *args, **kwargs)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 161, in urlopen
return opener.open(url, data, timeout)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 464, in open
response = self._open(req, data)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 482, in _open
'_open', req)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 442, in _call_chain
result = func(*args)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 1211, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 1185, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 722, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
paz['zeros']
Exception raised:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[2]>", line 1, in <module>
paz['zeros']
NameError: name 'paz' is not defined
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 724, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
len(paz['poles'])
Exception raised:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[3]>", line 1, in <module>
len(paz['poles'])
NameError: name 'paz' is not defined
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 726, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
print(paz['poles'][0])
Exception raised:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[4]>", line 1, in <module>
print(paz['poles'][0])
NameError: name 'paz' is not defined
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 728, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
paz['gain']
Exception raised:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[5]>", line 1, in <module>
paz['gain']
NameError: name 'paz' is not defined
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seishub/client.py", line 730, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
paz['sensitivity']
Exception raised:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[6]>", line 1, in <module>
paz['sensitivity']
NameError: name 'paz' is not defined

Skipped Tests (40)

Submodule Test Skip Message
io.shapefile test_write_catalog_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_catalog_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_inventory_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_inventory_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
taup test_path_geo (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_p_iasp91_geo_manual (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_pierce_p_iasp91_geo (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_single_path_geo_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
clients.arclink test_get_waveform_with_default_dcid_key_file (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) $HOME/dcidpasswords.txt already exists
clients.arclink test_m2crypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto is not installed
geodetics test_gps_2_dist_azimuth_with_geographiclib (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
geodetics test_issue_375 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
clients.seishub test_get_channel_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_coordinates (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_event_list (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_location_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_network_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_paz (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview_by_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_station_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveform_with_metadata (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveforms (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_localcache (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_ping (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seedlink test_info (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_issue708 (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_time_window (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.

Slowest Tests (20)

Runtime Test
320.360s __init__ (obspy.clients.seishub)
80.144s Client (obspy.clients.seishub.client)
80.114s get_paz (obspy.clients.seishub.client._StationMapperClient)
20.761s test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase)
20.047s test_get_networks (obspy.clients.arclink.tests.test_client.ClientTestCase)
15.411s test_evalresp (obspy.clients.iris.tests.test_client.ClientTestCase)
14.559s get_waveforms (obspy.clients.fdsn.client.Client)
12.977s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
12.614s test_iris_example_queries_dataselect (obspy.clients.fdsn.tests.test_client.ClientTestCase)
12.570s test_get_stations_integration_test (obspy.clients.fdsn.tests.test_federator_routing_client.FederatorRoutingClientTestCase)
12.481s test_get_inventory (obspy.clients.arclink.tests.test_client.ClientTestCase)
11.416s __init__ (obspy.taup)
11.365s test_redirection (obspy.clients.fdsn.tests.test_client.ClientTestCase)
10.864s test_dataselect_bulk (obspy.clients.fdsn.tests.test_client.ClientTestCase)
10.439s test_redirection_auth (obspy.clients.fdsn.tests.test_client.ClientTestCase)
10.229s test_get_waveform_instrument_change (obspy.clients.arclink.tests.test_client.ClientTestCase)
10.114s get_waveforms_bulk (obspy.clients.fdsn.client.Client)
9.816s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
9.732s __init__ (obspy.clients.syngine)
8.562s test_delayed_request (obspy.clients.arclink.tests.test_client.ClientTestCase)

Chuck Norris Fact

Chuck Norris can access private methods.